Index: meson/part/exports/config.mk.in
===================================================================
--- meson/part/exports/config.mk.in	(revision b78300f118e01ee481687343c9986e3576666f53)
+++ meson/part/exports/config.mk.in	(revision d548fc0e28b66bd85d62aea9c93bea619d7f4520)
@@ -1,4 +1,5 @@
 # Generated from config.mk.in using Meson. Do not modify.
 # Do not forget to set HELENOS_EXPORT_ROOT when using the file.
+HELENOS_OVERLAY_PATH="@HELENOS_OVERLAY_PATH@"
 HELENOS_CROSS_PATH="@HELENOS_CROSS_PATH@"
 HELENOS_ARCH="@HELENOS_ARCH@"
Index: meson/part/exports/meson.build
===================================================================
--- meson/part/exports/meson.build	(revision b78300f118e01ee481687343c9986e3576666f53)
+++ meson/part/exports/meson.build	(revision d548fc0e28b66bd85d62aea9c93bea619d7f4520)
@@ -62,4 +62,5 @@
 
 conf_data = configuration_data({
+	'HELENOS_OVERLAY_PATH' : meson.source_root() / 'uspace/overlay',
 	'HELENOS_CROSS_PATH' : cc_path,
 	'HELENOS_ARCH' : cc_arch,
Index: tools/xcw/bin/helenos-bld-config
===================================================================
--- tools/xcw/bin/helenos-bld-config	(revision d548fc0e28b66bd85d62aea9c93bea619d7f4520)
+++ tools/xcw/bin/helenos-bld-config	(revision d548fc0e28b66bd85d62aea9c93bea619d7f4520)
@@ -0,0 +1,51 @@
+#!/bin/bash
+#
+# Copyright (c) 2019 Jiri Svoboda
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+#
+# - Redistributions of source code must retain the above copyright
+#   notice, this list of conditions and the following disclaimer.
+# - Redistributions in binary form must reproduce the above copyright
+#   notice, this list of conditions and the following disclaimer in the
+#   documentation and/or other materials provided with the distribution.
+# - The name of the author may not be used to endorse or promote products
+#   derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Get build configration information
+# HelenOS Cross Compiler Wrapper (XCW)
+# Facilitate cross-compiling external software to HelenOS
+#
+
+XCW="$(dirname "$0")"
+BUILD_ROOT="$(dirname "$(dirname "$(dirname "$XCW")")")"
+if [ -z "$EXPORT_DIR" ]; then
+	EXPORT_DIR="$BUILD_ROOT/export"
+fi
+
+HELENOS_EXPORT_ROOT="$EXPORT_DIR"
+
+source "${EXPORT_DIR}/config.sh"
+
+case ".$1" in
+*.--install-dir) echo "$HELENOS_OVERLAY_PATH";;
+(*)
+	echo "Unknown option $1" >&2
+	echo "Usage: helenos-bld-config <option>" >&2
+	echo "        --install-dir Print directory where files should be installed" >&2
+	exit 1;;
+esac
Index: tools/xcw/bin/helenos-test
===================================================================
--- tools/xcw/bin/helenos-test	(revision b78300f118e01ee481687343c9986e3576666f53)
+++ tools/xcw/bin/helenos-test	(revision d548fc0e28b66bd85d62aea9c93bea619d7f4520)
@@ -1,5 +1,5 @@
 #!/bin/bash
 #
-# Copyright (c) 2018 Jiri Svoboda
+# Copyright (c) 2019 Jiri Svoboda
 # All rights reserved.
 #
@@ -33,7 +33,7 @@
 
 XCW="$(dirname "$0")"
-SRC_ROOT="$XCW/../../.."
+BUILD_ROOT="$(dirname "$(dirname "$(dirname "$XCW")")")"
 
-cd "$SRC_ROOT"
-make
+cd "$BUILD_ROOT"
+ninja image_path
 tools/ew.py
Index: tools/xcw/demo/Makefile
===================================================================
--- tools/xcw/demo/Makefile	(revision b78300f118e01ee481687343c9986e3576666f53)
+++ tools/xcw/demo/Makefile	(revision d548fc0e28b66bd85d62aea9c93bea619d7f4520)
@@ -48,7 +48,10 @@
 CC = helenos-cc
 LD = helenos-ld
+INSTALL = install
+TEST = helenos-test
 CFLAGS = -std=gnu11 -Wall `helenos-pkg-config --cflags libgui libdraw libmath` \
     -D_HELENOS_SOURCE
 LIBS = `helenos-pkg-config --libs libgui libdraw libmath`
+PREFIX = `helenos-bld-config --install-dir`
 output = viewer
 objects = viewer.o
@@ -60,4 +63,14 @@
 	rm -f $(output) $(objects)
 
+install: $(output)
+	mkdir -p $(PREFIX)/app
+	$(INSTALL) -T $(output) $(PREFIX)/app/$(output)-xcw
+
+uninstall:
+	rm -f $(PREFIX)/app/$(output)-xcw
+
+test: install
+	$(TEST)
+
 $(output): $(objects)
 	$(CC) -o $@ $^ $(LIBS)
